

/* CLEARANCE STUFF */

.PJOVERLAY-contacts,.PJOVERLAY-help-ball,.PJOVERLAY-modal{
  all: unset;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 12px;
}

/* ANIMATIONS */
.PJOVERLAY-animated {
  animation-duration: 0.25s;
  animation-fill-mode: both;
}

@keyframes PJOVERLAY-fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.PJOVERLAY-fadeIn {
  animation-name: PJOVERLAY-fadeIn;
}

@keyframes PJOVERLAY-fadeOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

.PJOVERLAY-fadeOut {
  animation-name: PJOVERLAY-fadeOut;
}

@keyframes PJOVERLAY-fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

.PJOVERLAY-fadeInUp {
  animation-name: PJOVERLAY-fadeInUp;
}

@keyframes PJOVERLAY-slideInUp {
  from {
    transform: translate3d(0, 100%, 0);
    visibility: visible;
  }

  to {
    transform: translate3d(0, 0, 0);
  }
}

.PJOVERLAY-slideInUp {
  animation-name: PJOVERLAY-slideInUp;
}

@keyframes PJOVERLAY-slideOutDown {
  from {
    transform: translate3d(0, 0, 0);
  }

  to {
    visibility: hidden;
    transform: translate3d(0, 100%, 0);
  }
}

.PJOVERLAY-slideOutDown {
  animation-name: PJOVERLAY-slideOutDown;
}

/*modal*/
.PJOVERLAY-overlay{
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  overflow-y: scroll;
  background-color: rgba(0,0,0,0.6);
  animation-duration: 0.45s !important;
  z-index: 10000;
}

.PJOVERLAY-modal{
  position: relative;
  width: 70%;
  max-width: 600px;
  min-width: 200px;
  background-color: white;
  padding: 20px;
  border-radius: 4px;
  animation-delay: 0.2s;
  margin-top: 50px;
  margin-bottom: 20px;
}

@media only screen and (max-width : 420px) {
  .PJOVERLAY-modal{
    border-radius: 0;
    margin-top: 0px;
    margin-bottom: 0px;
    width: 100%;
  }
}

.PJOVERLAY-modal input, .PJOVERLAY-modal textarea{
  border: 1px solid #AAA;
  border-radius: 4px;
  padding: 4px;
  width: 100%;
  margin-bottom: 12px;
}

.PJOVERLAY-closebutton{
  position: absolute;
  top: 4px;
  right: 8px;
  cursor: pointer;
  font-size: 18px;
  font-weight: 800;
  color: #AAA;
}

/*CONTACT POPUP THING*/
.PJOVERLAY-contacts{
  width: 280px;
  background-color: white;
  box-sizing: border-box;
  padding-top: 8px;
  padding-bottom: 24px;
  position: fixed;
  bottom: 0;
  left: 8px;
  box-shadow: 0 0 1px 1px rgba(0, 0, 0, 0.3);
  z-index: 1001;
}


.PJOVERLAY-contacts>h4{
  padding: 0px 12px;
}

.PJOVERLAY-contact{
  cursor: pointer;
  background-color: white;
  transition: background-color 0.2s ease-out;
  padding: 8px 12px;
}

.PJOVERLAY-contact:hover{
  background-color: #dae6f3;
}


/* HELP BALL */
.PJOVERLAY-help-ball{
  position: fixed;
  bottom: 10px;
  left: 10px;
  width: 40px;
  max-height: 40px;
  height: 40px;
  background-color: #3F51B5;
  border-color: #606fc7;
  border-width: 0px;
  border-radius: 4px;
  border-style: solid;
  color: white;
  -webkit-text-fill-color: white;
  -webkit-opacity: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 150%;
  font-weight: 600;
  cursor: pointer;
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.3);
  transition: all 0.5s ease-out;
  z-index: 1000;
}
  
.PJOVERLAY-help-ball:hover{
  background-color: #606fc7;
  box-shadow: 0 8px 15px 0 rgba(0, 0, 0, 0.3);
}

/*SPINNER*/
.PJOVERLAY-modal-cover{
 display: flex;
 position: absolute;
 top: 0;
 right: 0;
 width: 100%;
 height: 100%;
 z-index: 100001;
 justify-content: center;
 align-items: center;
 border-radius: 4px;
 background-color: rgba(255, 255, 255, 0.8);
}
.PJOVERLAY-dual-ring {
  display: inline-block;
  width: 80px;
  height: 80px;
}
.PJOVERLAY-dual-ring:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #606fc7;
  border-color: #606fc7 transparent #606fc7 transparent;
  animation: PJOVERLAY-dual-ring 1.2s linear infinite;
}
@keyframes PJOVERLAY-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/*NOTIFICATIONS*/
.PJOVERLAY-notification-list{
  z-index: 10000;
  position: fixed;
  top: 12px;
  width: 100%;
  padding: 0 10%;
  box-sizing: border-box;
}

.PJOVERLAY-notification{
  position: relative;
  background-color: white;
  margin-bottom: 10px;
  border-radius: 4px;
  box-sizing: border-box;
  padding: 8px 16px;
  box-shadow: 0 0 1px 2px rgba(0, 0, 0, 0.2);
}
